
function purity = cluster_purity(c,d)
    % purity = cluster_purity(c,d)
    %
    % Calculate cluster purity of clustering d, given ground truth c
    
    correct = 0;
    [cu,_,ci] = unique(vec(c));
    [du,_,di] = unique(vec(d));
    for i=1:numel(du) % for each cluster in d
        % number of items assigned to each label in c
        correct += max(hist(ci(di==i),1:numel(cu)));
    end
    purity = correct / numel(c);
end
