function [as] = connected_components(A)
	% Find connected components in symmetric adjacency matrix A.
	% The connected components will be labled with different integers
	% Not a terribly efficient implementation
	
	%~ use_oct = exist('OCTAVE_VERSION') == 5 && exist('connected_components_oct.oct') == 2;
	%~ if use_oct
		%~ as = connected_components_oct(A);
		%~ return
	%~ end
	
	as = zeros(length(A),1);
	for co = 1:length(A)
		nz = find(~as,1);
		if length(nz)==0, break; end
		asCo     = zeros(length(A),1);
		asCoPrev = zeros(length(A),1);
		asCo(nz) = 1;
		while any(asCo~=asCoPrev)
			asCoPrev = asCo;
			asCo = ~~(asCo + A * asCo); % 0 or 1
		end
		as(asCo) = co;
	end
end
