function z = index_sparse(A,i,j)
    % returns A( sub2ind(size(A),i,j) ),
    % except it doesn't overflow the integers if length(A)^2 > 2^32.
    % Designed for sparse A.
    i = i(:);
    j = j(:);
    max_n = 2^30;
    slice_size = min(size(A,2), ceil(max_n / size(A,1)));
    z = zeros(length(i),1);
    j_start = 1;
    while j_start <= size(A,2);
        j_end = min(j_start + slice_size - 1, size(A,2));
        which = j >= j_start & j <= j_end;
        if any(which)
            A_sub = A(:, j_start:j_end);
            i_sub = i(which);
            j_sub = j(which)-j_start+1;
            ij_sub = sub2ind(size(A_sub),i_sub,j_sub);
            z(which) = full( A_sub(ij_sub) );
        end
        j_start = j_end+1;
    end
    [u,v] = find(A);
end

