function c = infomap(A)
	% Find communities with infomap
	% Usage:
	%    c = infomap(A);
	
	file = tmpnam;
	write_pajek([file ".net"], A);
	
	% Locate executable
	windows = any(pwd=='\');
	if windows
		dev_null = 'nul';
	else
		dev_null = '/dev/null';
	end
	infomap_exe = file_in_path(path,'infomap');
	if isempty(infomap_exe)
		infomap_exe = file_in_path(path,'infomap.exe');
	end
	if isempty(infomap_exe)
		infomap_exe = 'infomap_undir/infomap';
	end
	
	seed = 12345678;
	seed = int32(rand);
	system(sprintf('%s %d %s.net 10 > %s',infomap_exe,seed,file,dev_null));
	system(["perl -i -ne '/^(\\d+).*?\"(\\d+)\"/&&print \"$2 $1\\n\";' " file ".tree"]);
	c = load([file ".tree"]);
	c = sortrows(c)(:,2);
	
	% cleanup
	unlink([file ".net"]);
	unlink([file ".tree"]);
	unlink([file ".clu"]);
	unlink([file ".map"]);
	unlink([file "_map.net"]);
	unlink([file "_map.vec"]);
end
