
function print_benchmark_results(file, names,mus,nmi)
	% print in handy format for copy/pasting into latex
	
	if ischar(file)
		file = fopen(file,"wt");
		should_close = 1;
	else
		should_close = 0;
	end
	
	mean_nmi = cellfun(@mean,nmi);
	std_nmi  = cellfun(@std,nmi);
	for i_bench = 1:min(numel(names),size(mean_nmi,1))
		if isequal(names{i_bench},'GN')
			style = '[dashed,red,mark=diamond*,';
		elseif isequal(names{i_bench},'Small 1000')
			style = '[green!20!black,mark=square,';
		elseif isequal(names{i_bench},'Big 1000')
			style = '[blue,mark=o,';
		elseif isequal(names{i_bench},'Small 5000')
			style = '[lime!50!black,mark=square*,';
		elseif isequal(names{i_bench},'Big 5000')
			style = '[blue!50!purple,mark=*,';
		else
			style = '+[';
		end
		fprintf(file,'    \\addplot%serror bars/.cd,y dir=both,y explicit] coordinates{\n',style);
		for i_mu = 1:numel(mus)
			fprintf(file,'      (%f,%f) +- (%f,%f)\n', mus(i_mu), mean_nmi(i_bench,i_mu), 0, std_nmi(i_bench,i_mu));
		end
		fprintf(file,'    }; \\addlegendentry{%s}\n', names{i_bench});
	end
	
	if should_close
		fclose(file);
	end
end
