function c = radicchi(A, method)
	% Wrapper around raddichi's method
	% Usage:
	%   clustering = radicchi(A, 'weak')
	%   clustering = radicchi(A, 'strong')
	
	file = tmpnam;
	[i,j] = find(A);
	dlmwrite([file '.dat'], [i,j], ' ');
	
	system(['radicchi_redetal_algorithm/radetal.out ' file '.dat 2> /dev/null']);
	
	cweak   = load(['weak.dat']);
	cstrong = load(['strong.dat']);
	cweak   = sortrows(cweak)(:,2);
	cstrong = sortrows(cstrong)(:,2);
	
	unlink([file '.dat']);
	unlink(['weak.net']);
	unlink(['weak.dat']);
	unlink(['strong.net']);
	unlink(['strong.dat']);
	unlink(['spajek.net']);
	unlink(['wpajek.net']);
	
	if isequal(method,'weak');
		c = cweak;
	elseif isequal(method,'strong');
		c = cstrong;
	else
		error('Raddichi: method should be "weak" or "strong"');
	end
end
