% Run all the experiments for the paper

% Use these parameters / features
params = {'node_average',1,'min_edge_per_node',1};
run_part1 = 1;
run_part2 = 1;
run_part3 = 1;
num_average_over = 100;

% Results will be saved in ../out
mkdir('../out');

if run_part1
	% First: training and testing on the same LFR benchmark
	fprintf('Running: training/testing on same LFR benchmark\n');
	run_benchmarks_for_classifier(@train_svm_on_dataset,params{:},'filename','../out/lfr_train_test');
end

if run_part2 || run_part3
	% Now train a weight vector on small1000, mu=0.5
	fprintf('Running: training classifier on Big1000, average over %d runs\n',num_average_over);
	ws=[];
	for i=1:num_average_over
		ws(:,i)=train_svm_on_named_dataset('Big 0.5',params{:});
	end
	w = mean(ws,2);
end

if run_part2
	% Test this classifier on lfr graphs
	fprintf('Running: using trained Big1000 classifier on all LFR benchmarks\n');
	run_benchmarks_for_classifier(w,params{:},'filename','../out/lfr_big1000');
end

if run_part3
	% Test this classifier on real-world data
	run_real_world_experiments(w, params{:},'filename','../out/real_world.tex');
end
