function [best_w,best_nmi] = train_svm_on_named_dataset(name, varargin)
	% Train an optimal svm on the given dataset.
	% extra parameters are passed to edge_features()
	
	% Load datasets
	[tr_A,tr_c] = load_dataset(name);
	[va_A,va_c] = load_dataset(name);
	tr_X = edge_features(tr_A,varargin{:});
	va_X = edge_features(va_A,varargin{:});
	tr_A = (tr_A ~= 0);
	
	[best_w,best_nmi] = train_svm_on_dataset(tr_A,tr_c,tr_X, va_A,va_c,va_X, varargin{:});
end
