function write_tikz(fn,A,B,c=[],d=[],pos=[])
	% Write a (layouted) graph to pgf/tikz format
	% Usage:
	%   write_tikz([filename],A,c,pos)

	if ischar(fn)
		f = fopen(fn,"wt");
	elseif length(fn) == 1
		f = fn;
		fn = [];
	else
		f = stdout;
		pos = c;
		c = A;
		A = fn;
		fn = [];
	end
	
	if isempty(d)
		d = c;
	end
	
	if isempty(pos)
		pos = fr_graph_viz(A,[],0);
	end
	
	for i=1:length(A)
		lbl = '';
		fprintf(f, "\\node (%d) [node%d] at (%f,%f) {%s};\n", i, c(i), pos(i,1), pos(i,2), lbl);
	end
	[is,js,vs] = find(tril(A));
	for i=1:numel(is)
		if ~isempty(B) && ~B(is(i),js(i))
			fprintf(f, "\\draw [edge-rem] (%d) to (%d);\n", is(i), js(i));
		else
			fprintf(f, "\\draw [edge%d%d] (%d) to (%d);\n", c(is(i))==c(js(i)), d(is(i))==d(js(i)), is(i), js(i));
		end
	end
	
	if ~isempty(fn)
		fclose(f);
	end
end
